Searched refs:stage2 (Results 1 - 11 of 11) sorted by relevance

/illumos-gate/usr/src/cmd/boot/installgrub/
H A Dinstallgrub.c267 * Install a new stage1/stage2 pair on the specified device. handle_install()
268 * expects argv to contain 3 parameters (the path to stage1, the path to stage2,
299 BOOT_DEBUG("stage1 path: %s, stage2 path: %s, device: %s\n",
308 /* read in stage1 and stage2. */
359 * installed stage2.
370 ig_stage2_t *stage2 = &data.stage2; local
401 ret = read_stage2_from_disk(device->part_fd, stage2, device->type);
403 (void) fprintf(stderr, gettext("Error reading stage2 from "
416 einfo = find_einfo(stage2
718 cleanup_stage2(ig_stage2_t *stage2) argument
940 prepare_fake_multiboot(ig_stage2_t *stage2) argument
963 add_stage2_einfo(ig_stage2_t *stage2, char *updt_str) argument
983 ig_stage2_t *stage2 = &install->stage2; local
1105 ig_stage2_t *stage2 = &dest->stage2; local
1225 read_stage2_from_disk(int dev_fd, ig_stage2_t *stage2, int type) argument
1351 ig_stage2_t *stage2 = &install->stage2; local
[all...]
H A Dinstallgrub.h65 ig_stage2_t stage2; member in struct:_ig_data
78 #define STAGE2_MEMADDR (0x8000) /* loading addr of stage2 */
95 * Maximum size of stage2 on EFI-labeled disks. Must not be larger than
/illumos-gate/usr/src/grub/grub-0.97/util/
H A Dgrub-image.in40 if test -f $thisdir/../stage2/stage2; then
43 stage2dir="$thisdir/../stage2"
65 cp -p $stage1dir/stage1 $stage2dir/*_stage1_5 $stage2dir/stage2 \
134 install /boot/grub/stage1 (fd0) /boot/grub/stage2
H A Dgrub-install.in313 if test -f "$pkglibdir/stage2"; then
316 echo "${pkglibdir}/stage2: Not found." 1>&2
410 for file in ${grubdir}/stage1 ${grubdir}/stage2 ${grubdir}/*stage1_5; do
414 ${pkglibdir}/stage1 ${pkglibdir}/stage2 ${pkglibdir}/*stage1_5; do
425 for file in ${grubdir}/stage1 ${grubdir}/stage2 ${grubdir}/*stage1_5; do
456 setup $force_lba --stage2=$grubdir/stage2 --prefix=$grub_prefix $install_drive
H A Dmkbimage368 #We verify that the stage2 exists and we search the name
369 stage2_os_name=`find ${image}1 -name stage2 -type f`
371 [ -r "$stage2_os_name" ] || { echo "I can't find stage2!"; exit 1;}
/illumos-gate/usr/src/lib/libbe/common/
H A Dbe_activate.c875 char *stage2, uint16_t flags)
952 stage1, stage2, diskname);
956 stage1, stage2, diskname);
966 "%s %s %s %s", BE_INSTALL_BOOT, flag, stage2, diskname);
1220 char stage2[MAXPATHLEN]; local
1263 (void) snprintf(stage2, sizeof (stage2), "%s%s",
1268 (void) snprintf(stage2, sizeof (stage2), "%s%s",
1283 (void) snprintf(stage2, sizeo
874 be_do_installboot_helper(zpool_handle_t *zphp, nvlist_t *child, char *stage1, char *stage2, uint16_t flags) argument
[all...]
/illumos-gate/usr/src/cmd/boot/scripts/
H A Dupdate_grub.ksh116 STAGE2="$ALT_ROOT"/boot/grub/stage2
120 # Note: /stubboot/boot/grub/stage2 must stay untouched.
/illumos-gate/usr/src/lib/brand/shared/zone/
H A Dcommon.ksh568 stage2=$3
572 base=`$stage1 $archive | $stage2 2>/dev/null | nawk -F/ '{
/illumos-gate/usr/src/boot/sys/boot/i386/pmbr/
H A Dpmbr.s94 # Load stage2 and start it. location and size is written by installboot
99 je err_noboot # the stage2 size is not set
/illumos-gate/usr/src/grub/grub-0.97/stage2/
H A Dbuiltins.c2340 else if (grub_memcmp ("--stage2=", arg, sizeof ("--stage2=") - 1) == 0)
2342 stage2_os_file = arg + sizeof ("--stage2=") - 1;
2467 grub_printf ("Error: stage2 first sector must be below 2TB\n");
2767 "install [--stage2=STAGE2_FILE] [--force-lba] STAGE1 [d] DEVICE STAGE2 [ADDR] [p] [CONFIG_FILE] [REAL_CONFIG_FILE]",
2780 " for LBA mode. If the option `--stage2' is specified, rewrite the Stage"
4573 char stage2[64];
4688 else if (grub_memcmp ("--stage2=", arg, sizeof ("--stage2=") - 1) == 0)
4736 grub shell, since that affects `--stage2'
4520 char stage2[64]; local
[all...]
/illumos-gate/usr/src/uts/common/io/atu/
H A Datu.c1050 cmn_err(CE_WARN, "%s: stage2 firmware load failed\n",
1070 * the stage2 firmware... 20 ms isn't enough, but 21 ms works 100
1093 * Opmode of SMC2662 V.4 does not change after stage2
1095 * number, stage2 firmware is already running.
1102 stage2:
1116 goto stage2;

Completed in 89 milliseconds